#!/usr/bin/env bash
MONGO_INITDB_ROOT_USERNAME=root
MONGO_INITDB_ROOT_PASSWORD=$(openssl rand -base64 12)
MONGODB_DATABASE=ddl
DBUSER=ddl
DBPASS=$(openssl rand -base64 12)
MQUSER=ddl
MQPASS=$(openssl rand -base64 12)
RABBITMQ_DEFAULT_VHOST=ddl

cat <<EOF > .env
MONGO_INITDB_ROOT_USERNAME=${MONGO_INITDB_ROOT_USERNAME}
MONGO_INITDB_ROOT_PASSWORD=${MONGO_INITDB_ROOT_PASSWORD}
MONGODB_DATABASE=${MONGODB_DATABASE}
DBUSER=${DBUSER}
DBPASS=${DBPASS}
MQUSER=${MQUSER}
MQPASS=${MQPASS}
RABBITMQ_DEFAULT_VHOST=${RABBITMQ_DEFAULT_VHOST}

DAEMON_DAEMON_VOLUME=/var/ddl
DAEMON_DAEMON_JWTK=$(openssl rand -hex 12)
DAEMON_DAEMON_ADDRESS=0.0.0.0:8681
DAEMON_DAEMON_HTTPS=false
DAEMON_MONGO_HOST=mongo:27017
DAEMON_MONGO_DB=${MONGODB_DATABASE}
DAEMON_MONGO_USERNAME=${DBUSER}
DAEMON_MONGO_PASSWORD=${DBPASS}
DAEMON_MQ_HOST=rabbitmq:5672
DAEMON_MQ_VHOST=${RABBITMQ_DEFAULT_VHOST}
DAEMON_MQ_USERNAME=${MQUSER}
DAEMON_MQ_PASSWORD=${MQPASS}

WORKER_DAEMON_VOLUME=/var/ddl
WORKER_MONGO_HOST=mongo:27017
WORKER_MONGO_DB=${MONGODB_DATABASE}
WORKER_MONGO_USERNAME=${DBUSER}
WORKER_MONGO_PASSWORD=${DBPASS}
WORKER_MQ_HOST=rabbitmq:5672
WORKER_MQ_VHOST=${RABBITMQ_DEFAULT_VHOST}
WORKER_MQ_USERNAME=${MQUSER}
WORKER_MQ_PASSWORD=${MQPASS}

TFSTATE_MONGO_HOST=mongo:27017
TFSTATE_MONGO_DB=${MONGODB_DATABASE}
TFSTATE_MONGO_USERNAME=${DBUSER}
TFSTATE_MONGO_PASSWORD=${DBPASS}

DESCRIBER_MONGO_HOST=mongo:27017
DESCRIBER_MONGO_DB=${MONGODB_DATABASE}
DESCRIBER_MONGO_USERNAME=${DBUSER}
DESCRIBER_MONGO_PASSWORD=${DBPASS}

EOF
